# Generated by Django 2.2.7 on 2019-12-05 15:13

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0016_availability_comment"),
        ("missions", "0010_auto_20191205_1308"),
    ]

    operations = [
        migrations.CreateModel(
            name="DefaultAssignment",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("quantity", models.IntegerField()),
                (
                    "position",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.PROTECT,
                        to="seawatch_registration.Position",
                    ),
                ),
                (
                    "ship",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="default_assignments",
                        to="missions.Ship",
                    ),
                ),
            ],
        ),
    ]
